Create billing tab item

Add a new item to a customer's billing tab.

Idempotency (required)

This operation requires X-API-Deduplication-ID to prevent duplicate items if the request is retried.

Path Parameters
  • customer_no
    Type: integer
    min:  
    1
    required

    Customer number.

    • Must be numeric (digits only)
Headers
  • X-API-Deduplication-ID
    Type: string
    min length:  
    1
    max length:  
    36
    required

    Deduplication (idempotency) key used to prevent duplicate processing when the request is retried.

    Best practices

    • Use a UUID (or stable request identifier, eg timestamp-based identifier)
    • Reuse the same value for retries of the same logical operation
Body·
required
application/json
  • billogram_item
    Type: object ·
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/customer/{customer_no}/billing-tab/items
curl https://sandbox.billogram.com/api/v2/customer/1/billing-tab/items \
  --request POST \
  --header 'X-API-Deduplication-ID: 550e8400-e29b-41d4-a716-446655440000' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic username:password' \
  --data '{
  "billogram_item": {
    "title": "Monthly subscription",
    "description": "Premium plan subscription",
    "price": 29.99,
    "count": 1,
    "unit": "month",
    "vat": 25
  }
}'
{
  "status": "OK",
  "data": {
    "billing_tab_id": "3b668ece-3941-6555-faf8-c7a0f9b3aace",
    "item_id": "24913ec8-e8de-497d-af3a-f893f1418e38",
    "created_at": "2025-09-12T12:42:56.071577Z",
    "billogram_item": {
      "count": 1,
      "title": "Monthly subscription",
      "description": "Premium plan subscription",
      "unit": "month",
      "price": 29.99,
      "vat": 25
    }
  }
}